## gst-plugins-base0.10 0.10.30

=== debian/changelog ===
gst-plugins-base0.10 (0.10.30-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Add myself as an uploader. 
  * Drop the libgudev-dev build-dep.
  * Bump the versioning on the libtheora-dev build-dep to enable the plugin
    to be built (see #608161).

 -- Andres Salomon <dilinger@debian.org>  Tue, 28 Dec 2010 01:51:39 +0000

gst-plugins-base0.10 (0.10.30-1) unstable; urgency=low

  * New upstream stable release, "Difficult Birth":
    + debian/rules:
      - Build depend on GStreamer 0.10.30.
    + debian/libgstreamer-plugins-base.symbols:
      - Update new symbols version to 0.10.30.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 15 Jul 2010 13:51:22 +0200

gst-plugins-base0.10 (0.10.29.4-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 07 Jul 2010 15:13:18 +0200

gst-plugins-base0.10 (0.10.29.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/rules:
      - Build depend on GStreamer 0.10.29.3.
    + debian/libgstreamer-plugins-base.symbols:
      - Update new symbols version to 0.10.29.3.
    + debian/patches/01_videotestsrc-libm-linking.patch,
      debian/patches/02_videoscale-libm-linking.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 30 Jun 2010 10:43:13 +0200

gst-plugins-base0.10 (0.10.29.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/rules,
      debian/compat,
      debian/control.in,
      debian/source/format,
      debian/patches/*:
      - Update to debhelper compat level 7.
      - Update to source format 3.0 (quilt).
      - Update to Standards-Version 3.8.4.
    + debian/build-deps.in,
      debian/rules:
      - Build depend on GLib 2.20 and GStreamer 0.10.29.2.
      - Build depend on ORC instead of liboil.
    + debian/patches/00*:
      - Dropped, merged upstream.
    + debian/libgstreamer-plugins-base.symbols:
      - Update symbols file with the new API.
    + debian/patches/01_videotestsrc-libm-linking.patch,
      debian/patches/02_videoscale-libm-linking.patch:
      - Link videotestsrc and videoscale with libm to fix FTBFS.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 26 Jun 2010 21:12:29 +0200

gst-plugins-base0.10 (0.10.29-4) unstable; urgency=low

  * debian/patches/0007-oggdemux-Drop-all-other-Ogg-VP8-header-packets-and-m.patch,
    debian/patches/0008-oggdemux-Fix-size-checks.patch:
    + Some more fixes for the Ogg VP8 mapping.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 20 May 2010 14:03:47 +0200

gst-plugins-base0.10 (0.10.29-3) unstable; urgency=low

  * debian/patches/0006-ogg-Some-more-minor-adjustments-for-the-VP8-Ogg-mapp.patch:
    + Small update to the Ogg VP8 mapping.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 20 May 2010 09:09:38 +0200

gst-plugins-base0.10 (0.10.29-2) unstable; urgency=low

  * debian/patches/00*:
    + Add support for VP8 in RIFF and the Ogg plugin.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 18 May 2010 20:58:11 +0200

gst-plugins-base0.10 (0.10.29-1) unstable; urgency=low

  * New upstream stable release, "Freaks":
    + debian/libgstreamer-plugins-base.symbols:
      - Update symbols to the stable version.
    + debian/rules:
      - Build depend on GStreamer >= 0.10.29.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 28 Apr 2010 09:43:04 +0200

gst-plugins-base0.10 (0.10.28.3-1) experimental; urgency=low

  * debian/control.in:
    + Recommend alsa-base (Closes: #578027).
    + Suggest alsa-utils, which gives automatic volume restore
      after reboots.
  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 26 Apr 2010 07:59:37 +0200

gst-plugins-base0.10 (0.10.28.2-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control.in,
    debian/build-deps.in:
    - Move gtk-doc-tools to Build-Deps-Indep.
  * debian/rules:
    - Only build the docs if gtk-doc-tools is installed.

  [ Sebastian Dröge ]
  * New upstream pre-release:
    + debian/libgstreamer-plugins-base.symbols:
      - Update symbols file with the new API.
    + debian/rules:
      - Build depend on GStreamer >= 0.10.28.2.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 15 Apr 2010 12:45:45 +0200

gst-plugins-base0.10 (0.10.28-1) unstable; urgency=low

  * New upstream stable release, "Those Norwegians":
    + debian/rules:
      - Build depend on GStreamer >= 0.10.28.
    + debian/patches/01_ogg-dirac-parsing.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 09 Mar 2010 09:47:27 +0000

gst-plugins-base0.10 (0.10.27-1) unstable; urgency=low

  * New upstream stable release, "No Mistakes Allowed":
    + debian/rules:
      - Build depend on GStreamer >= 0.10.27.
  * debian/patches/01_ogg-dirac-parsing.patch:
    + Patch from upstream bugzilla (#611900) to fix parsing
      of Dirac headers inside Ogg files.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 08 Mar 2010 09:48:28 +0000

gst-plugins-base0.10 (0.10.26.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/rules:
      - Build depend on GStreamer >= 0.10.26.3.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 25 Feb 2010 08:26:32 +0100

gst-plugins-base0.10 (0.10.26.2-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Feb 2010 13:48:54 +0100

gst-plugins-base0.10 (0.10.26-1) unstable; urgency=low

  * New upstream release, "You will know when you get there":
    + debian/rules:
      - Update GStreamer build dependency to >= 0.10.26.
    + debian/libgstreamer-plugins-base.symbols:
      - Update to use the stable versions.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 11 Feb 2010 10:31:17 +0100

gst-plugins-base0.10 (0.10.25.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 05 Feb 2010 10:10:01 +0100

gst-plugins-base0.10 (0.10.25.2-1) experimental; urgency=low

  * New upstream pre-release:

