## gst-plugins-base0.10 0.10.32

=== debian/changelog ===
gst-plugins-base0.10 (0.10.32-1ubuntu5) natty; urgency=low

  * debian/rules:
    + Set AUTOPOINT=true to prevent autoreconf from breaking
      the patched gettext setup used by gstreamer.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 05 Apr 2011 15:20:31 +0200

gst-plugins-base0.10 (0.10.32-1ubuntu4) natty; urgency=low

  [ Alessandro Decina ]
  * debian/control.in:
    + Add build dependency on dh-autoreconf.
  * debian/rules:
    + Include dh-autoreconf cdbs rule.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 05 Apr 2011 10:56:49 +0200

gst-plugins-base0.10 (0.10.32-1ubuntu3) natty; urgency=low

  * gstreamer0.10-plugins-base suggests rather than recommends on gvfs, not
    needed by KDE (retry editing control.in)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 03 Feb 2011 21:58:11 +0000

gst-plugins-base0.10 (0.10.32-1ubuntu2) natty; urgency=low

  * Remove libgstvideo4linux.so from gstreamer0.10-plugins-base.install,
    video4linux now removed from our Linux build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Jan 2011 17:42:18 +0000

gst-plugins-base0.10 (0.10.32-1ubuntu1) natty; urgency=low

  * gstreamer0.10-plugins-base suggests rather than recommends on gvfs, not
    needed by KDE

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Jan 2011 16:24:46 +0000

gst-plugins-base0.10 (0.10.32-1) experimental; urgency=low

  * New upstream stable release, "Your Life You Like It Well":
    + debian/rules:
      - Require GStreamer >= 0.10.32.
    + debian/libgstreamer-plugins-base.symbols:
      - Update new symbols to the release version.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 22 Jan 2011 13:15:54 +0100

gst-plugins-base0.10 (0.10.31.4-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/rules:
      - Require GStreamer >= 0.10.31.4.
    + debian/libgstreamer-plugins-base.symbols:
      - Update new symbols to the latest pre-release version.
  * debian/rules:
    + Use dh_perl -d to generate a dependency on perl-base only.
      Change taken from the Ubuntu package.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 Jan 2011 21:11:51 +0100

gst-plugins-base0.10 (0.10.31.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/rules:
      - Require GStreamer >= 0.10.31.3.
    + debian/libgstreamer-plugins-base.symbols:
      - Update new symbols to the latest pre-release version.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 13 Jan 2011 11:48:15 +0100

gst-plugins-base0.10 (0.10.31.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/rules,
      debian/build-deps.in:
      - Require GStreamer >= 0.10.31.2
      - Require GLib >= 2.22
    + debian/gstreamer-plugins-base.install:
      - Add new encodebin plugin.
    + debian/libgstreamer-plugins-base.symbols:
      - Add new API symbols.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 10 Jan 2011 14:56:10 +0100

gst-plugins-base0.10 (0.10.31-2) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/build-deps.in,
    debian/rules:
    + Use dpkg-vendor instead of lsb_release.

  [ Sjoerd Simons ]
  * Transition to gir1.2

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 14 Dec 2010 22:09:46 +0000

gst-plugins-base0.10 (0.10.31-1) experimental; urgency=low

  * New upstream release, "Dance Like It's 1982":
    + debian/libgstreamer-plugins-base.symbols:
      - Update symbols file.
    + debian/rules:
      - Require GStreamer >= 0.10.31.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 02 Dec 2010 10:32:35 +0100

gst-plugins-base0.10 (0.10.30.5-2) experimental; urgency=low

  * debian/build-deps.in:
    + Drop gir-repository-dev build dependency. It's not needed and
      only pulls in half of Gnome.
  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Nov 2010 11:29:57 +0100

gst-plugins-base0.10 (0.10.30.4-1) experimental; urgency=low

  * New upstream pre-release: 
    + debian/libgstreamer-plugins-base.symbols:
      - Update symbols file.
    + debian/gstreamer-plugins-base-apps.install:
      - Add new gst-discoverer-0.10 tool.
    + debian/control.in:
      - Add ${shlibs:Depends} to the apps package.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 02 Nov 2010 08:44:13 +0100

gst-plugins-base0.10 (0.10.30.3-1) experimental; urgency=low

  * New upstream pre-release: 
    + debian/libgstreamer-plugins-base.symbols:
      - Update symbols file.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 22 Oct 2010 19:56:44 +0200

gst-plugins-base0.10 (0.10.30.2-1) experimental; urgency=low

  * New upstream pre-release: 
    + debian/rules,
      debian/build-deps.in:
      - Require GStreamer >= 0.10.30.1.
      - Require ORC >= 0.4.11.
      - Require Theora >= 1.1.
    + debian/patches/0001-videoscale*:
      - Dropped, merged upstream.
    + debian/libgstreamer-plugins-base.symbols:
      - Update symbols file with the new API.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 16 Oct 2010 11:17:36 +0200

gst-plugins-base0.10 (0.10.30-3) experimental; urgency=low

  * debian/build-deps.in:
    + Add the epoch to the orc build dependency to get correct
      dependencies (Closes: #597086).

 -- Sebastian Dröge <slomo@debian.org>  Fri, 17 Sep 2010 13:22:25 +0200

gst-plugins-base0.10 (0.10.30-2) experimental; urgency=low

  * debian/patches/000[1-8]-videoscale*.patch:
    + Patches from upstream GIT for videoscale to fix UYVY scaling,
      improve scaling of interlaced content and add a add-borders
      property (that defaults to the old behaviour) to add black
      borders if necessary to keep the display aspect ratio.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 09 Sep 2010 11:04:17 +0200
