=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,15 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/rules/utils.mk
+-include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
 
 export HOME=$(CURDIR)/fake-home
+
+# make autoreconf not call libtoolize since we ship a patch for ltmain.sh
+export LIBTOOLIZE=true
+# make autoreconf not call autopoint since we ship a patch for po/Makefile.in.in
+export AUTOPOINT=true
 
 CFLAGS += -Wno-error
 CXXFLAGS += -Wno-error
@@ -21,7 +27,7 @@
 gst_lib := libgstreamer$(gst_abi)-0
 gst_lib_dev := libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep := $(gst_lib_dev) (>= 0.10.30)
+gst_lib_dev_dep := $(gst_lib_dev) (>= 0.10.32)
 
 gst_pkgname := gstreamer$(gst_abi)
 gst_deb_abi := $(gst_abi)-0
@@ -33,6 +39,7 @@
 gst_plugins_base_lib_dep := "$(gst_plugins_base_lib) (>= $(gst_version))"
 
 gst_extra_build_depends += libasound2-dev (>= 0.9.0) [@linux@]
+gst_extra_build_depends += , libgudev-1.0-dev (>= 143) [@linux@]
 
 # debug package
 DEB_DH_STRIP_ARGS += --dbg-package=$(gst_pkgname)-plugins-base-dbg
@@ -68,7 +75,7 @@
 endif
 
 # Let's decide the package name and url depending on the distribution
-DISTRO = "$(shell lsb_release -si)"
+DISTRO = "$(shell dpkg-vendor --query vendor)"
 
 GST_PACKAGE_NAME := "GStreamer Base Plugins (unknown Debian derivative)"
 GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-base$(gst_abi)"
@@ -99,9 +106,9 @@
 			sed 's/@GST_ABI@/$(gst_abi)/g' \
 			>debian/$(gst_pkgname)-$$f; \
 	done
-	rm -f debian/gir1.0-gst-plugins-base-$(gst_abi).install
-	cp debian/gir1.0-gst-plugins-base.install \
-		debian/gir1.0-gst-plugins-base-$(gst_abi).install
+	rm -f debian/gir1.2-gst-plugins-base-$(gst_abi).install
+	cp debian/gir1.2-gst-plugins-base.install \
+		debian/gir1.2-gst-plugins-base-$(gst_abi).install
 	rm -f debian/libgstreamer-plugins-base$(gst_deb_abi).install
 	cat debian/libgstreamer-plugins-base.install | \
 		sed 's/@GST_ABI@/$(gst_abi)/g' \
@@ -156,14 +163,14 @@
 	for f in $(VERSIONIZE); do \
 		rm -f debian/$(gst_pkgname)-$$f; \
 	done
-	rm -f debian/gir1.0-gst-plugins-base-$(gst_abi).install
+	rm -f debian/gir1.2-gst-plugins-base-$(gst_abi).install
 	rm -f debian/libgstreamer-plugins-base$(gst_deb_abi).install
 	rm -f debian/libgstreamer-plugins-base$(gst_deb_abi).symbols
 	rm -f debian/libgstreamer-plugins-base$(gst_abi)-dev.install
 	-rm -rf $(CURDIR)/fake-home
 
 binary-post-install/$(gst_pkgname)-plugins-base-apps::
-	dh_perl
+	dh_perl -d
 
 DEB_DH_MAKESHLIBS_ARGS_$(gst_plugins_base_lib) += -X "/usr/lib/gstreamer-$(gst_abi)" -V $(gst_plugins_base_lib_dep) -- -c4
 DEB_INSTALL_DOCS_ALL += debian/README.Debian NEWS
@@ -182,7 +189,7 @@
 	LD_LIBRARY_PATH=debian/libgstreamer-plugins-base0.10-0/usr/lib:$(LD_LIBRARY_PATH) \
 	    dh_gstscancodecs
 	HOME=$(CURDIR)/fake-home \
-	dh_girepository -pgir1.0-gst-plugins-base-$(gst_abi)
+	dh_girepository -pgir1.2-gst-plugins-base-$(gst_abi)
 	-rm -f debian/shlibs.local
 	rm -rf $(CURDIR)/fake-home
 	cat debian/*/DEBIAN/shlibs | \
