## gst-plugins-base0.10 0.10.35

=== debian/changelog ===
gst-plugins-base0.10 (0.10.35-1) unstable; urgency=low

  * New upstream bugfix release, "Short Notice".

 -- Sebastian Dröge <slomo@debian.org>  Thu, 23 Jun 2011 09:37:32 +0200

gst-plugins-base0.10 (0.10.34-1) unstable; urgency=low

  * New upstream bugfix release, "Lemmings":
    + debian/rules:
      - Require GStreamer core >= 0.10.34.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 14 May 2011 11:46:16 +0200

gst-plugins-base0.10 (0.10.33-1) unstable; urgency=low

  * New upstream release, "Relaxing Distractions":
    + debian/libgstreamer-plugins-base.symbols:
      - Update version of new symbols to 0.10.33.
    + debian/rules:
      - Build-depend on GStreamer >= 0.10.33.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 10 May 2011 15:48:17 +0200

gst-plugins-base0.10 (0.10.32.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 27 Apr 2011 15:27:37 +0200

gst-plugins-base0.10 (0.10.32.2-1) experimental; urgency=low

  [ Sebastian Dröge ]
  * debian/control.in:
    + Let the -dev package depend on the GIR package as required by
      the new gobject-introspection policy.
    + Only suggest gvfs, don't recommend it. GStreamer is the default
      phonon backend nowadays and there's no reason to use gvfs
      on a KDE desktop.

  [ Alessandro Decina ]
  * debian/build-deps.in:
    + Add dependency on dh-autoreconf
  * debian/rules:
    + Include dh-autoreconf cdbs rule

  [ Loïc Minier ]
  * Drop dep on type-handling and use linux-any where possible.
  * Reflow sed calls to avoid cat | sed or sed | sed constructs.

  [ Sebastian Dröge ]
  * New upstream pre-release:
    + debian/rules:
      - Build-depend on GStreamer core >= 0.10.32.2.
    + debian/libgstreamer-plugins-base.symbols:
      - Add new API.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 17 Apr 2011 10:25:45 +0200

gst-plugins-base0.10 (0.10.32-2) unstable; urgency=low

  * Upload to unstable.
  * debian/rules,
    debian/gstreamer-plugins-base.install:
    + Drop the video4linux plugin, recent Linux kernels only have v4l2.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 Mar 2011 14:17:10 +0100
