=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: gst-plugins-base0.10
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
 Uploaders: Loic Minier <lool@dooz.org>,
            Sebastien Bacher <seb128@debian.org>,
            Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: libgstreamer0.10-dev (>= 0.10.32), libasound2-dev (>= 0.9.0) [alpha amd64 arm armeb armel armhf avr32 hppa i386 ia64 lpia m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64] , libgudev-1.0-dev (>= 143) [alpha amd64 arm armeb armel armhf avr32 hppa i386 ia64 lpia m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64], autotools-dev, dh-autoreconf, autopoint, cdbs (>= 0.4.20), debhelper (>= 7), gnome-pkg-tools (>= 0.7), pkg-config (>= 0.11.0), libxv-dev (>= 6.8.2.dfsg.1-3), libxt-dev (>= 6.8.2.dfsg.1-3), libvorbis-dev (>= 1.0.0-2), libcdparanoia-dev (>= 3.10.2) [!hurd-i386], libgnomevfs2-dev (>= 1:2.20.0-2), liborc-0.4-dev (>= 1:0.4.11), libpango1.0-dev (>= 1.16.0), libtheora-dev (>= 1.1), libglib2.0-dev (>= 2.22), libxml2-dev (>= 2.4.23), zlib1g-dev (>= 1:1.1.4), type-handling (>= 0.2.14), libvisual-0.4-dev (>= 0.4.0), gstreamer-tools (>= 0.10.30), dpkg-dev (>= 1.15.1), iso-codes, libgtk2.0-dev (>= 2.12.0), libglib2.0-doc, gstreamer0.10-doc, libgirepository1.0-dev (>= 0.9.12-4~), gobject-introspection (>= 0.9.12-4~), gir1.2-glib-2.0, gir1.2-freedesktop, gir1.2-gstreamer-0.10
+Build-Depends: libgstreamer0.10-dev (>= 0.10.34), libasound2-dev (>= 0.9.0) [linux-any] , libgudev-1.0-dev (>= 143) [linux-any], autotools-dev, dh-autoreconf, autopoint, cdbs (>= 0.4.20), debhelper (>= 7), gnome-pkg-tools (>= 0.7), pkg-config (>= 0.11.0), libxv-dev (>= 6.8.2.dfsg.1-3), libxt-dev (>= 6.8.2.dfsg.1-3), libvorbis-dev (>= 1.0.0-2), libcdparanoia-dev (>= 3.10.2) [!hurd-i386], libgnomevfs2-dev (>= 1:2.20.0-2), liborc-0.4-dev (>= 1:0.4.11), libpango1.0-dev (>= 1.16.0), libtheora-dev (>= 1.1), libglib2.0-dev (>= 2.22), libxml2-dev (>= 2.4.23), zlib1g-dev (>= 1:1.1.4), libvisual-0.4-dev (>= 0.4.0), gstreamer-tools (>= 0.10.30), dpkg-dev (>= 1.15.1), iso-codes, libgtk2.0-dev (>= 2.12.0), libglib2.0-doc, gstreamer0.10-doc, libgirepository1.0-dev (>= 0.9.12-4~), gobject-introspection (>= 0.9.12-4~), gir1.2-glib-2.0, gir1.2-freedesktop, gir1.2-gstreamer-0.10
 Build-Depends-Indep: gtk-doc-tools
 Standards-Version: 3.8.4
 Homepage: http://gstreamer.freedesktop.org
@@ -77,9 +76,10 @@
          libgstreamer-plugins-base0.10-0 (= ${binary:Version}),
          libc6-dev | libc-dev,
          pkg-config,
-         libgstreamer0.10-dev (>= 0.10.32),
+         libgstreamer0.10-dev (>= 0.10.34),
          libglib2.0-dev,
-         libxml2-dev
+         libxml2-dev,
+         gir1.2-gst-plugins-base-0.10 (= ${binary:Version})
 Replaces: gobject-introspection-repository (<< 0.6.5-2)
 Description: GStreamer development files for libraries from the "base" set
  GStreamer is a streaming media framework, based on graphs of filters
@@ -93,11 +93,11 @@
  the "base" set, an essential exemplary set of elements.
 
 Package: gstreamer0.10-alsa
-Architecture: alpha amd64 arm armeb armel armhf avr32 hppa i386 ia64 lpia m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
-Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libgstreamer-plugins-base0.10-0 (>= 0.10.32)
+Architecture: linux-any
+Section: libs
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libgstreamer-plugins-base0.10-0 (>= 0.10.35)
 Recommends: alsa-base (>= 0.9.0)
 Suggests: alsa-utils (>= 0.9.0)
 XB-GStreamer-Version: ${gstreamer:Version}
@@ -147,7 +147,7 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base0.10-0 (>= 0.10.32)
+         libgstreamer-plugins-base0.10-0 (>= 0.10.35)
 Suggests: gvfs
 Replaces: gstreamer0.10-plugins-bad (<< 0.10.3+cvs20060814-0ubuntu4)
 XB-GStreamer-Version: ${gstreamer:Version}
@@ -172,7 +172,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: gstreamer0.10-alsa (= ${binary:Version}) [alpha amd64 arm armeb armel armhf avr32 hppa i386 ia64 lpia m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64],
+Depends: gstreamer0.10-alsa (= ${binary:Version}) [linux-any],
          gstreamer0.10-plugins-base (= ${binary:Version}),
          gstreamer0.10-x (= ${binary:Version}),
          libgstreamer-plugins-base0.10-0 (= ${binary:Version}),
@@ -197,7 +197,7 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base0.10-0 (>= 0.10.32)
+         libgstreamer-plugins-base0.10-0 (>= 0.10.35)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}
