=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 gst_lib := libgstreamer$(gst_abi)-0
 gst_lib_dev := libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep := $(gst_lib_dev) (>= 0.10.32)
+gst_lib_dev_dep := $(gst_lib_dev) (>= 0.10.34)
 
 gst_pkgname := gstreamer$(gst_abi)
 gst_deb_abi := $(gst_abi)-0
@@ -38,8 +38,8 @@
 # gst-plugins-base library shlibs
 gst_plugins_base_lib_dep := "$(gst_plugins_base_lib) (>= $(gst_version))"
 
-gst_extra_build_depends += libasound2-dev (>= 0.9.0) [@linux@]
-gst_extra_build_depends += , libgudev-1.0-dev (>= 143) [@linux@]
+gst_extra_build_depends += libasound2-dev (>= 0.9.0) [linux-any]
+gst_extra_build_depends += , libgudev-1.0-dev (>= 143) [linux-any]
 
 # debug package
 DEB_DH_STRIP_ARGS += --dbg-package=$(gst_pkgname)-plugins-base-dbg
@@ -66,10 +66,6 @@
 	plugins-base-apps.manpages \
 	plugins-base-doc.install \
 
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-video4linux := debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstvideo4linux.so
-endif
-
 ifneq ($(DEB_HOST_ARCH_OS),hurd)
 cdparanoia := debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstcdparanoia.so
 endif
@@ -95,30 +91,29 @@
 pre-build::
 	for p in $(PLUGINS); do \
 		rm -f debian/$(gst_pkgname)-$$p.install; \
-		cat debian/gstreamer-$$p.install | \
-			sed 's/@GST_ABI@/$(gst_abi)/g' \
-			| sed "s,@video4linux@,$(video4linux),g" \
-			| sed "s,@cdparanoia@,$(cdparanoia),g" \
+		sed \
+			-e 's/@GST_ABI@/$(gst_abi)/g' \
+			-e 's,@cdparanoia@,$(cdparanoia),g' \
+			debian/gstreamer-$$p.install \
 			>debian/$(gst_pkgname)-$$p.install; \
 	done
 	for f in $(VERSIONIZE); do \
-		cat debian/gstreamer-$$f | \
-			sed 's/@GST_ABI@/$(gst_abi)/g' \
+		sed 's/@GST_ABI@/$(gst_abi)/g' debian/gstreamer-$$f \
 			>debian/$(gst_pkgname)-$$f; \
 	done
 	rm -f debian/gir1.2-gst-plugins-base-$(gst_abi).install
 	cp debian/gir1.2-gst-plugins-base.install \
 		debian/gir1.2-gst-plugins-base-$(gst_abi).install
 	rm -f debian/libgstreamer-plugins-base$(gst_deb_abi).install
-	cat debian/libgstreamer-plugins-base.install | \
-		sed 's/@GST_ABI@/$(gst_abi)/g' \
+	sed 's/@GST_ABI@/$(gst_abi)/g' \
+		debian/libgstreamer-plugins-base.install \
 		>debian/libgstreamer-plugins-base$(gst_deb_abi).install
 	rm -f debian/libgstreamer-plugins-base$(gst_deb_abi).symbols
 	cp debian/libgstreamer-plugins-base.symbols \
 		debian/libgstreamer-plugins-base$(gst_deb_abi).symbols
 	rm -f debian/libgstreamer-plugins-base$(gst_abi)-dev.install
-	cat debian/libgstreamer-plugins-base-dev.install | \
-		sed 's/@GST_ABI@/$(gst_abi)/g' \
+	sed 's/@GST_ABI@/$(gst_abi)/g' \
+		debian/libgstreamer-plugins-base-dev.install \
 		>debian/libgstreamer-plugins-base$(gst_abi)-dev.install
 
 maint: debian/control
@@ -127,17 +122,17 @@
 	cat $< >$@
 
 debian/control:: debian/control.in debian/build-deps debian/mk.control debian/rules debian/changelog force
-	perl debian/mk.control | \
-		sed 's/@GST_VERSION@/$(gst_version)/g' | \
-		sed 's/@GST_ABI@/$(gst_abi)/g' | \
-		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
-		sed 's/@GST_LIB@/$(gst_lib)/g' | \
-		sed 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' | \
-		sed 's/@GST_LIB_DEV_DEP@/$(gst_lib_dev_dep)/g' | \
-		sed 's/@GST_PLUGINS_BASE_LIB@/$(gst_plugins_base_lib)/g' | \
-		sed 's/@GST_PLUGINS_BASE_LIB_DEV@/$(gst_plugins_base_lib_dev)/g' | \
-		sed "s/@GST_EXTRA_BUILD_DEPENDS@/$(gst_extra_build_depends)/g" | \
-		sed "s/@linux@/`type-handling any linux-gnu`/g" >$@
+	perl debian/mk.control | sed \
+		-e 's/@GST_VERSION@/$(gst_version)/g' \
+		-e 's/@GST_ABI@/$(gst_abi)/g' \
+		-e 's/@GST_PKGNAME@/$(gst_pkgname)/g' \
+		-e 's/@GST_LIB@/$(gst_lib)/g' \
+		-e 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' \
+		-e 's/@GST_LIB_DEV_DEP@/$(gst_lib_dev_dep)/g' \
+		-e 's/@GST_PLUGINS_BASE_LIB@/$(gst_plugins_base_lib)/g' \
+		-e 's/@GST_PLUGINS_BASE_LIB_DEV@/$(gst_plugins_base_lib_dev)/g' \
+		-e 's/@GST_EXTRA_BUILD_DEPENDS@/$(gst_extra_build_depends)/g' \
+		>$@
 
 DEB_CONFIGURE_EXTRA_FLAGS += \
 	--disable-failing-tests \
@@ -192,9 +187,9 @@
 	dh_girepository -pgir1.2-gst-plugins-base-$(gst_abi)
 	-rm -f debian/shlibs.local
 	rm -rf $(CURDIR)/fake-home
-	cat debian/*/DEBIAN/shlibs | \
-		sed -n -r -e 's/(([^ ]+: )?([^ ]+) ([^ ]+)) .*/\1/p' \
-			>debian/shlibs.local
+	sed -n -r -e 's/(([^ ]+: )?([^ ]+) ([^ ]+)) .*/\1/p' \
+		debian/*/DEBIAN/shlibs \
+		>debian/shlibs.local
 
 # (this rules runs just after the dh_shlibdeps)
 common-binary-predeb-arch::
